USB device not accepting address: error -110

Bug #54273 reported by Luke Hoersten on 2006-07-27
122
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Won't Fix
Medium
linux (Ubuntu)
Medium
KAPIL DUBEY
linux-source-2.6.15 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: linux-image-2.6.15-26-k7

I have a USB devices: mouse, camera, ipod and printer plugged in. The only device that works is the printer. Everything used to work in 2.6.15-25-k7. Mouse works with PS2 converter but not straight into USB.

**lsusb output:
Bus 004 Device 001: ID 0000:0000
Bus 001 Device 003: ID 03f0:7204 Hewlett-Packard DeskJet 36xx
Bus 001 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000

**dmesg output:
[17355309.768000] usb 4-2: device not accepting address 78, error -110
[17355309.880000] usb 4-2: new high speed USB device using ehci_hcd and address 79
[17355320.304000] usb 4-2: device not accepting address 79, error -110
[17355320.552000] usb 4-5: new high speed USB device using ehci_hcd and address 80
[17355332.116000] usb 4-5: device not accepting address 80, error -110
[17355332.228000] usb 4-5: new high speed USB device using ehci_hcd and address 81
[17355343.792000] usb 4-5: device not accepting address 81, error -110
[17355343.908000] usb 4-5: new high speed USB device using ehci_hcd and address 82
[17355354.340000] usb 4-5: device not accepting address 82, error -110
[17355354.456000] usb 4-5: new high speed USB device using ehci_hcd and address 83
[17355364.892000] usb 4-5: device not accepting address 83, error -110
[17355365.140000] usb 4-2: new high speed USB device using ehci_hcd and address 84

description: updated
Dean (dean-s-wood) wrote :

I have exactly the same problem. Printouts are identical.

Error messages stop when ehci_hcd is removed but am still unable to mount usb. I have looked around to find a solution and it seems this is a reasonably common problem.

Luke Hoersten (lukehoersten) wrote :

Dean, do you have any more resources of information about this problem? Can you list what devices you were trying to mount? I find it very strange that my printer still works but mouse, camera, ipod, and usb key do not.

Luke Hoersten (lukehoersten) wrote :

Now none of my USB devices work, not even my printer.

Chuck Short (zulcss) wrote :

Please attach the output of dmesg as an attachment.

Thanks
Chuck

Changed in linux-source-2.6.15:
importance: Untriaged → Medium

Hi,

Please find attached a copy of dmesg. I tried it twice and have attached
both as they appear slightly different whendetecting the usb hub but I
don't know enough to tell if this is relevant.

The second one also contains the repeated error message which is sent.

Thanks

Dean

On 20/08/06, ChuckShort <email address hidden> wrote:
>
> Please attach the output of dmesg as an attachment.
>
> Thanks
> Chuck
>
> ** Changed in: linux-source-2.6.15 (Ubuntu)
> Importance: Untriaged => Medium
>
> --
> USB device not accepting address: error -110
> https://launchpad.net/bugs/54273
>

Gustavo Azambuja (gazambuja) wrote :

I have similar problem, the camera USB: work, the pendrive: not work.

-My system:
gustavo@gustavo:~$ uname -a
Linux gustavo 2.6.15-26-386 #1 PREEMPT Thu Aug 3 02:52:00 UTC 2006 i686 GNU/Linux

gustavo@gustavo:~$ lspci
0000:00:00.0 Host bridge: Silicon Integrated Systems [SiS] 651 Host (rev 02)
0000:00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SiS AGP Port (virtual PCI-to-PCI bridge)
0000:00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS962 [MuTIOL Media IO] (rev 25)
0000:00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller
0000:00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
0000:00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] Sound Controller (rev a0)
0000:00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
0000:00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 0f)
0000:00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0 Controller
0000:00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 91)
0000:00:0f.0 Communication controller: Agere Systems V.92 56K WinModem (rev 03)
0000:01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 661/741/760/761 PCI/AGP VGA Display Adapter

-The syslog:
gustavo@gustavo:~$ sudo tail /var/log/syslog
Aug 23 09:26:41 localhost kernel: [85687.276188] usb 3-3: new high speed USB device using ehci_hcd and address 6
Aug 23 09:26:41 localhost kernel: [85687.387994] usb 3-3: device descriptor read/64, error -32
Aug 23 09:26:41 localhost kernel: [85687.603635] usb 3-3: device descriptor read/64, error -32
Aug 23 09:26:42 localhost kernel: [85687.819276] usb 3-3: new high speed USB device using ehci_hcd and address 7
Aug 23 09:26:42 localhost kernel: [85687.931089] usb 3-3: device descriptor read/64, error -32
Aug 23 09:26:42 localhost kernel: [85688.146733] usb 3-3: device descriptor read/64, error -32
Aug 23 09:26:42 localhost kernel: [85688.362371] usb 3-3: new high speed USB device using ehci_hcd and address 8
Aug 23 09:26:42 localhost kernel: [85688.769678] usb 3-3: device not accepting address 8, error -32
Aug 23 09:26:43 localhost kernel: [85688.881505] usb 3-3: new high speed USB device using ehci_hcd and address 9
Aug 23 09:26:43 localhost kernel: [85689.288818] usb 3-3: device not accepting address 9, error -32

Attach dmesg.

Gustavo Azambuja (gazambuja) wrote :

ok, ok, I'm stupid, after write the comment, i search more info and find this:
http://www.linux-usb.org/FAQ.html#ts6

Q: Why doesn't USB work at all? I get "device not accepting address".
A: This can be one of several problems:

    * High speed devices sometimes have problems with cables used to connect them. They're more sensitive to signal quality issues than older usb 1.1 full or low speed devices. If the device works OK at full speed on the same system, after you "rmmod ehci-hcd", this is likely the problem you're seeing. There are a lot of things you can do to change signal quality........ [cont]

with this simple test "rmmod ehci-hcd" my pendrive USB work fine!!!

ok, good luck for all, and look the FAQ ;)
PD: sorry for my english (i'm spanish speaker)

Luke Hoersten (lukehoersten) wrote :

Thanks for the advice. I will try this but I'm not sure this is the problem because *all* of my USB devices do not work so I know its not a problem with the cable quality. It may be a hardware bus problem but when I tried the 686 kernel instead of the k7 kernel, the errors do not occur and all my USB devices work fine.

QuinnHarris (ubuntu-quinnh) wrote :

USB worked fine in 2.6.15-25-386 but no longer int 2.6.15-26-386 and edgy 2.6.17-7-386.

"rmmod ehci_hcd" does allow USB devices to work at 1.1 speeds.

This appears to be a duplicate of bug #24925

Joel Oliver (joelol75) wrote :
Download full text (11.6 KiB)

Confirming as well. I believe it is a problem with the BIOS in my case as I cannot mount 2 different USB devices in WinXP (Dual boot, no I never really use XP) and these work fine on my other Edgy system. One is a 80GB hard drive usb and the other is a ATI remote wonder. WinXP sees them right off the bat and says they are 'MALFUNTIONING' and to replace them. The device name usually pops up, doesn't get the name though....

System is GigaByte GA-M55plus-S3G (F6 BIOS)
Athlon 64x2 4200+ (32bit Edgy)
Integrated Geforce6100
NForce 430

I believe the 6100/430 part is the important one as my 'google' research shows this problem all over with 6100/6150 on ASUS boards as well.

Things I tried:
modprobe -r ehci_usb
Change usb 2.0 to 1.1 in bios (Changed error messages)

Found F7 BIOS update (12/21/06 release)

Booting with the irqpoll noapic nolapic acpi=off options (In various combos and created a keyboard that doubles everything i type.

Before the changes I get:

[ 85.867469] ohci_hcd 0000:00:0b.0: wakeup
[ 86.251175] usb 2-1: new full speed USB device using ohci_hcd and address 2
[ 86.435057] usb 2-1: device descriptor read/64, error -110
[ 86.722452] usb 2-1: device descriptor read/64, error -110
[ 87.002272] usb 2-1: new full speed USB device using ohci_hcd and address 3
[ 87.186153] usb 2-1: device descriptor read/64, error -110
[ 87.473969] usb 2-1: device descriptor read/64, error -110
[ 87.753792] usb 2-1: new full speed USB device using ohci_hcd and address 4
[ 88.169514] usb 2-1: device not accepting address 4, error -110
[ 88.345406] usb 2-1: new full speed USB device using ohci_hcd and address 5
[ 88.761134] usb 2-1: device not accepting address 5, error -110
[ 136.218973] usb 2-7: new full speed USB device using ohci_hcd and address 6
[ 136.402352] usb 2-7: device descriptor read/64, error -110
[ 136.690166] usb 2-7: device descriptor read/64, error -110
[ 136.969985] usb 2-7: new full speed USB device using ohci_hcd and address 7
[ 137.153870] usb 2-7: device descriptor read/64, error -110
[ 137.441683] usb 2-7: device descriptor read/64, error -110
[ 137.721499] usb 2-7: new full speed USB device using ohci_hcd and address 8
[ 138.137226] usb 2-7: device not accepting address 8, error -110
[ 138.313118] usb 2-7: new full speed USB device using ohci_hcd and address 9
[ 138.728844] usb 2-7: device not accepting address 9, error -110
[ 139.032652] usb 2-8: new full speed USB device using ohci_hcd and address 10
[ 139.216537] usb 2-8: device descriptor read/64, error -110
[ 139.504347] usb 2-8: device descriptor read/64, error -110
[ 139.784166] usb 2-8: new full speed USB device using ohci_hcd and address 11
[ 139.968048] usb 2-8: device descriptor read/64, error -110
[ 140.255861] usb 2-8: device descriptor read/64, error -110
[ 140.535682] usb 2-8: new full speed USB device using ohci_hcd and address 12
[ 140.951408] usb 2-8: device not accepting address 12, error -110
[ 141.127300] usb 2-8: new full speed USB device using ohci_hcd and address 13
[ 141.543040] usb 2-8: device not accepting address 13, error -110

After update:

[17180154.220000] ohci_hcd 0000:00:0b.0: wakeup
[17180188.396000]...

nassausky (nassausky) wrote :

Found out it's probably an internal cabling problem (maybe noise interference going to the front or faulty ports) Plugged my usb thumbdrive into the rear port and it now works.

My suggestion is if nothing else works, try something simple like this.

Luke Hoersten (lukehoersten) wrote :

Changing ports and devices does not work. It happens with all of them. On the other hand, I did notice that this only happens when my iPod is plugged in on boot. I've tried different cables with the same problem and it happens on any port. There is no problem if I simply boot without my iPod.

My problem was bypassed by updating BIOS and using USB ports on the motherboard. At least the USB drive was automatically mounted after that.

I had the "not accepting address: error" on both freshly installed Gutsy and a previous Ubuntu release. Probably all Ubuntus after some kernel version were affected. I also have seen this same problem on other computers. Before finding a bypass, I had tried many solutions proposed in this bug and many similar USB mounting bugs in Launchpad.

To bypass the problem
0) Prequisites: I had Ubuntu 7.10 Desktop amd64, motherboard Intel Guardfish dq695gf with BIOS 5773. Problem: USB key is not mounted when connected, but it prints some lines to syslog and dmesg.
1) BIOS Update: Downloaded latest BIOS update 6002 CO6002P.ISO from Intel, burned to CD. USB related updates were mentioned in BIOS release notes. Updated BIOS. Booted.
2) Mobo ports: Connected USB stick to motherboard USB port on the back of the computer.
3) Success: Rythmbox "Music Player" automatically started. I could play music from the USB stick. Thus, the problem was bypassed.
4) Side effects: Front USB ports don't work at all anymore, and no lines are printed to dmesg or syslog when USB stick is connected. USB lights are not lit when connected to front USB ports.

I have this issue on a Dell Inspiron 5100 with latest BIOS.

It has two high-speed usb ports. Until recently I operated with a single external USB disk in one of the ports, which works fine.

I tried adding an extra usb disk but it fails with the same message. The first usb disk continues to work, however.

I have attached my dmesg output.

Buzz (buzz-piersol) wrote :

I am still using "sudo modprobe -r ehci_hcd" in order to use my USB flash drives.

from my dmesg:
======================================
[15571.551295] usb 1-2: new high speed USB device using ehci_hcd and address 3
[15581.914390] usb 1-2: device not accepting address 3, error -110
[15582.026381] usb 1-2: new high speed USB device using ehci_hcd and address 4
[15592.445060] usb 1-2: device not accepting address 4, error -110
[15592.557054] usb 1-2: new high speed USB device using ehci_hcd and address 5
[15599.457827] usb 1-2: device not accepting address 5, error -110
[15599.569817] usb 1-2: new high speed USB device using ehci_hcd and address 6
[15606.471610] usb 1-2: device not accepting address 6, error -110
======================================

also recently updated my BIOS to the latest version.

also get this message shortly after each bootup. Wonder if it's related:
======================================
[ 292.819263] irq 7: nobody cared (try booting with the "irqpoll" option)
======================================

I haven't used "irqpoll" but from what I've read it is used when a system is really broken. However, I do use "noapic" as a boot option.

Just wondering why this bug still exists as I have seen reports back to 05? I'd like to see USB2.0 speeds again...

Buzz

atdt911 (ori-ab) wrote :

I'm having this problem on my wi-fi usb dongle (zd1201 chipset).
sometimes it works, but sometimes it won't accept address and i get "device descriptor read/64, error -110".

I recently upgraded my H/W (p35+ich9) and it became worse - i can now get the device working only if is connected before boot, and even then
it sometimes fails with this error. i tried connecting it to different ports with no success.

had this problem ever since feisty on all kernels. now using hardy beta with 2.6.24-15-generic.

(see also bug #212888 for more details/logs)

atdt911 (ori-ab) wrote :

forgot to add that in my previous H/W configuration (nforce2 chipset) i solved this problem by unplugging then plugging the device back again.
unfortunately it doesnt work with my new H/W config.

sniffy (konwal1) wrote :

I solved the problem on my Desktop-PC by shutting down and unplugging the PC for a while to become unloaded.

Cleber Santz (clebersantz) wrote :

I have the same here, i try to plug my phone Sony K790 (work fine until kernel 2.6.24-16-generic) and lsusb return only laptop cam

$ lsusb
Bus 005 Device 002: ID 0c45:62c0 Microdia
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

$ uname -a
Linux clbr 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

Cleber Santz (clebersantz) wrote :

My Kingstop 1GB pendrive works fine

$ lsusb
Bus 005 Device 005: ID 13fe:1d00 Kingston Technology Company Inc. DataTraveler 2.0 1GB Flash Drive
Bus 005 Device 002: ID 0c45:62c0 Microdia
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 001: ID 0000:0000

Hi Guys,

This appears to be a duplicate of bug 88746. Care to take a look? I realize it's a rather long thread but I'd draw your attention to https://bugs.edge.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/88746/comments/228 which was from one of our kernel devs. Hope that helps. Thanks.

[100008.464546] Buffer I/O error on device sdb2, logical block 532
[100008.464548] lost page write due to I/O error on sdb2
[100008.464555] Buffer I/O error on device sdb2, logical block 532
[100008.464557] lost page write due to I/O error on sdb2
[100008.466165] Buffer I/O error on device sdb2, logical block 1
[100008.466168] lost page write due to I/O error on sdb2
[152280.623453] sudo[5532]: segfault at 00000000 eip 080529ee esp bff10860 error 4
[152280.643581] sudo[5534]: segfault at 00000000 eip 080529ee esp bfb5dcb0 error 4
[152280.662175] sudo[5536]: segfault at 00000000 eip 080529ee esp bf80c160 error 4
[157245.524620] usb 3-1.1: new full speed USB device using uhci_hcd and address 7
[157245.608578] usb 3-1.1: device descriptor read/64, error -71
[157245.796484] usb 3-1.1: device descriptor read/64, error -71
[157245.972398] usb 3-1.1: new full speed USB device using uhci_hcd and address 8
[157246.056358] usb 3-1.1: device descriptor read/64, error -71
[157246.248263] usb 3-1.1: device descriptor read/64, error -71
[157246.424177] usb 3-1.1: new full speed USB device using uhci_hcd and address 9
[157246.834572] usb 3-1.1: device not accepting address 9, error -71
[157246.907941] usb 3-1.1: new full speed USB device using uhci_hcd and address 10
[157247.318314] usb 3-1.1: device not accepting address 10, error -71
jderemer@player:~$

A little different but still same issue with not getting the address

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
sin (sinsinapsi-gmail) wrote :

Sorry, I think i've have à similar bug,

I've problems with wifi usb "hercules" Guillemot.inc
usb 2.0 802.11g -support 802.11b
sometimes wifi don't work and i get this error

usb 2-1: device descriptor read/64, error -62
[ 24.654600]usb 2-1: device descriptor read/64, error -62
[ 24.654600]usb 2-1: new full speed USB device using ohci_hcd and address 4
[ 24.654600]usb 2-1: device not accepting address 4, error -62
[ 24.830432] usb 2-1: new full speed USB device using ohci_hcd and address 5
[ 25.238037] usb 2-1: device not accepting address 5, error -62

I'm note sure that it's a similar or related problem because I cannot find anybody that have "error -62"
in his output
so i cannot find help anymore.
I hope

Meltedfusion (emmanuelvlz) wrote :

I too have the same usb issue. I have a toshiba laptop running 8.04 LTS 64 bit edition not only does my wifi not work but the 4 USB ports do not work with my thumb drive or mobile phone. However i have a built in USB camera that seems to be recognized. The Dmsg is as follows:

  395.053061] APIC error on CPU1: 00(40)
[ 395.053830] APIC error on CPU0: 00(40)
[ 680.494599] usb 1-1: new high speed USB device using ehci_hcd and address 5
[ 686.874851] usb 1-2: new high speed USB device using ehci_hcd and address 6
[ 692.442643] usb 1-3: new high speed USB device using ehci_hcd and address 7
[ 700.383035] usb 1-3: device descriptor read/64, error -110
[ 707.197979] usb 1-3: device descriptor read/64, error -110
[ 707.276424] usb 1-3: new high speed USB device using ehci_hcd and address 8
[ 713.971754] usb 1-3: device descriptor read/64, error -110
[ 720.577415] usb 1-3: device descriptor read/64, error -110
[ 720.655849] usb 1-3: new high speed USB device using ehci_hcd and address 9
[ 724.444208] usb 1-3: device not accepting address 9, error -110
[ 724.484889] usb 1-3: new high speed USB device using ehci_hcd and address 10
[ 730.422046] usb 1-3: device not accepting address 10, error -110
[ 744.426693] APIC error on CPU1: 40(40)
[ 744.428187] APIC error on CPU0: 40(40)
[ 883.423210] APIC error on CPU0: 40(40)
[ 883.421546] APIC error on CPU1: 40(40)
[ 953.627798] APIC error on CPU1: 40(40)
[ 953.629581] APIC error on CPU0: 40(40)

As i started looking through the dmseg i noticed this...

 libata version 3.00 loaded.
[ 22.690860] usbcore: registered new device driver usb
[ 22.690938] ahci 0000:00:12.0: version 3.0
[ 22.690974] ACPI: PCI Interrupt 0000:00:12.0[A] -> GSI 22 (level, low) -> IRQ 22
[ 22.691200] ahci 0000:00:12.0: controller can't do 64bit DMA, forcing 32bit
[ 22.691206] ahci 0000:00:12.0: controller can't do PMP, turning off CAP_PMP
[ 22.693798] ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
[ 23.690280] ahci 0000:00:12.0: AHCI 0001.0100 32 slots 4 ports 3 Gbps 0xf impl SATA mode

Im green to this so please excuse me if i put info in there that shouldnt be there.

The USB ports on my desktop seem to work fine front and back. I am running 8.04 LTS x86 on there and everything seems to be running fine. I'm going to try that on here and if it works i will post the update.

Nicolas Diogo (nicolasdiogo) wrote :

Hi,

i would like to add my voice to this chorus.

i have a laptop t61p lenovo that can not access a Corsair usb flash pen 8gb (flash voyager)

but on the same port i can use a sandisk 4gb without any problem.

another anomaly is that when i first received this pen drive with default format it worked fine.
but it now fails after i formatted using mkfs.vfat.

hope this helps to understand what is wrong.

Nicolas

lanzen (lanzen) wrote :

I've just run into this bug.

Since a couple of days I've been trying to recover data from my notebook HD and for that purpose I got an empty usb box but ubuntu would not see it.

[ 9374.869868] usb 1-6: new high speed USB device using ehci_hcd and address 4
[ 9375.017124] usb 1-6: configuration #1 chosen from 1 choice
[ 9375.017014] scsi7 : SCSI emulation for USB Mass Storage devices
[ 9375.034946] usb-storage: device found at 4
[ 9375.034950] usb-storage: waiting for device to settle before scanning
[ 9380.033730] usb-storage: device scan complete
[ 9385.625628] usb 1-6: reset high speed USB device using ehci_hcd and address 4
[ 9395.862983] usb 1-6: reset high speed USB device using ehci_hcd and address 4
[ 9401.088551] usb 1-6: reset high speed USB device using ehci_hcd and address 4
[ 9416.181806] usb 1-6: device descriptor read/64, error -110
[ 9431.369147] usb 1-6: device descriptor read/64, error -110

Browsing around I eventually ended up here http://ubuntuforums.org/showpost.php?p=1082418&postcount=8

modprobe -r ehci_hcd worked and I am now backing up.

[ 9955.313973] usb 2-5: new full speed USB device using ohci_hcd and address 4
[ 9955.530717] usb 2-5: configuration #2 chosen from 1 choice
[ 9955.557642] scsi8 : SCSI emulation for USB Mass Storage devices

Distributor ID: Ubuntu
Description: Ubuntu 8.04.1
Release: 8.04
Codename: hardy
2.6.24-21-generic #1 SMP Tue Aug 12 13:03:01 UTC 2008 x86_64

jacobS (jacsalomon) wrote :

This bug continue in Hardy, in my case the USB 2.0 work fine, but if I plug a Low Speed Usb (such a mouse) the system refuses to accept adress.

Note: This not occurn in Hardy under a system with USB 1.1

Distributor ID: Ubuntu
Description: Ubuntu 8.04.1
Release: 8.04
Codename: hardy
Linux pentium4-desktop 2.6.24-19-generic #1 SMP Fri Jul 11 23:41:49 UTC 2008 i686 GNU/Linux

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

EAB (adair-boder) wrote :

I solved this issue by changing the USB cable. It must have been defective. :)

chrono13 (chrono13) wrote :

Possible duplicate: bug 261710

Jayotis Diggory (jayotis-d) wrote :

Confirmed controller handoff problems between ehci_hcd & uhci_hcd causing

device descriptor read/64, error -71
device not accepting address 2, error -71

Intrepid kernel 2.6.27-3 seems to have corrected the error on this system.

error 110 looks to be a hardware connection issue, from what I've been reading in other website posts while searching for error 71. But defiantly give Intrepid a try before switching cable/ports and cold boots.

jcasanov (jcasanov) wrote :

I just installed ubuntu intrepid with kernel 2.6.27-* and error remains... (see bug 261710)

harvest316 (harvest316) wrote :

I can confirm that a cold boot rectifies this.

harvest316 (harvest316) wrote :

FYI: I have a Dell Dimension 5100 with a Samsung USB Memory Card Reader, and I'm on Intrepid 2.6.27.9.13

chrono13 (chrono13) wrote :

A solution (increasing the timout) per Mario Italo, bug 261710 worked for me.

1. Always back up config files before editing them:
sudo cp /etc/modprobe.d/options /etc/modprobe.d/options.backup1
Now open /etc/modprobe.d/options in write mode:
sudo gedit /etc/modprobe.d/options

2. Add the line:
options scsi_mod inq_timeout=20
and save the file.
Seemingly reloading the module (scsi_mod) does not cause the new configuration to take hold. What worked for both he and I was to reinstall the kernel.

3. Type uname -a and take note or memorize the exact kernel version numer you are using.

4. Use the above kernel number to reinstall your kernel. For me it was:
sudo aptitude reinstall linux-image-2.6.27-7-generic
This will take a couple of minutes.

5. Reboot and test. This fixed it for Mario and has worked great for me. Note that there is probably a better way to make the new configuration take effect other the reinstalling the kernel. Whoever knows what that is could post that and we would have a better solution.

This confirms that the bug is just that the device does not wake up quickly enough. These instructions are for anyone who has these key(s) and is receiving the -110 (and possibly other) errors while attempting to use them.

A test to see if the above fix will fix your problem is to insert the key, and shut down the machine. Start it back up, if it recognizes the drive and mounts it (or lets you mount it), then the above steps should fix the bug and allow you to use the key normally.

Good luck, and thanks again to Mario Italo.

Solution originally found in report of bug 261710 (Corsair Flash Voyager 8GB USB key causes device descriptor read/64, error -110)
Posted this solution to bug 54273 (USB device not accepting address: error -110)

zasq (zasq) wrote :

Hi.
I use intrepid with 2.6.27-9-generic kernel on dell inspiron 1501 with the same problem. The workaround from Mario and chrono13 didn't work for me. I found this message in dmesg after doing it:

hda-intel: IRQ timing workaround is activated for card #0. Suggest a bigger bdl_pos_adj.

What does that mean?

As it might be connected to this problem, let me tell you that I also have the following bugs:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/283489
(MP-BIOS bug: 8254 timer not connected to IO-APIC"

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/271070
("Aperture beyond 4GB. Ignoring." message when booting)

https://bugs.launchpad.net/bugs/88746
(Re: ehci_hcd module causes I/O errors in USB 2.0 devices)

Devices like my printer or wd passport external hdd keep crashing. When I try to mount them again after such crashing (or just after having them unmounted manually before), they won't work anymore. I have to restart the whole system. Everything seems to be connected to an apic-error. (I need apic, so the option -noapic won't do. Besides, the problem should be solved and not hidden).

As it also might be a bios problem: I have the latest version of bios 2.6.3 .

Please let me know if you need more information.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Richard Ayotte (rich-ayotte) wrote :
Richard Ayotte (rich-ayotte) wrote :
Mary Gardiner (puzzlement) wrote :

In some ways, there seem to be two problems here:

1. some people get these error messages, and their hardware doesn't work

2. some people get the "unable to enumerate USB device" warnings, but their hardware does work. Leann Ogasawara notes at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/256767/comments/14 that this is known to upstream and they consider it harmless, it's the report of a real potential error.

However, in case #2 there is still a problem from an end-user point of view: the error message is logged to syslog once a second. This is undesirable for all kinds of reasons, disk use, annoyance if I have to give syslog to someone for *real* hardware problems, etc. The logging of this error should be radically reduced, I'd really prefer, say, once an hour to once a second.

Changed in linux-source-2.6.15 (Ubuntu):
status: New → Won't Fix
Changed in linux (Fedora):
status: Unknown → Confirmed
Changed in linux (Ubuntu):
status: Triaged → Confirmed
37 comments hidden view all 117 comments

I can confirm this bug on Fedora 13 with 2.6.33.3-85 kernel.

I testet this issue on few different laptops, when booting into Windows on those same laptops USB HDD is recognized without problems and device works.

This is Linux kernel bug.

Do you need more feedback from me? How can I help so that this bug gets fixed sooner?

Actually this appears to be a bug in the fedora distribution.

As you say the devices work in windows. They also work under other distributions.

The device which caused the problem for me was a USB card reader, in the end I bought another one which has worked fine under Fedora. I'd be willing to donate my old problematic card reader to the cause if its of any use.

Created attachment 421785
/var/log/messages

I'm having this problem with my 'SanDisk Sansa e260'. I used to work in F11, then didn't work in the last few months. I just upgraded to F13, and it still isn't working.

I don't have a Windows computer to test this on, but I am fairly sure that the MP3 itself works just fine. It doesn't have any 'USB mode' settings, it just operates as as storage device.

I am not plugged in through a hub, nor are there many USB devices attached to the machine.

I still have this issue with latest F13 updates. Is there anyway to troubleshoot and find which patch is causing this issue?

Kernel devels do you have a suggestion? Is there some kernel I can test and report back if this bug is fixed or present?

I can confirm this bug on Fedora 13 on my Lenovo T61

# uname -a
Linux lenovot61 2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11 09:42:24 UTC 2010 i686 i686 i386 GNU/Linux

# dmesg
hub 2-0:1.0: unable to enumerate USB device on port 1
usb 2-1: new high speed USB device using ehci_hcd and address 12
usb 2-1: New USB device found, idVendor=0781, idProduct=74d0
usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-1: Product: SanDisk Sansa Clip+
usb 2-1: Manufacturer: SanDisk
usb 2-1: SerialNumber: 710FFA194451B6A80000000000000000
scsi10 : usb-storage 2-1:1.0
btusb_intr_complete: hci0 urb de0d4000 failed to resubmit (1)
btusb_bulk_complete: hci0 urb de0d4800 failed to resubmit (1)
btusb_bulk_complete: hci0 urb de0d4500 failed to resubmit (1)

Still the case for kernel version 2.6.33.6-147.2.4.fc13.i686.PAE.

Created attachment 446698
/var/log/messages

My MP3 players works again with kernel 2.6.34.6-54.fc13.x86_64

I can confirm this. My player seems to be fully functional on 2.6.34.6-54.fc13.i686.PAE

I don't think this will ever be fixed in F12.

Brad Figg (brad-figg) on 2011-07-19
Changed in linux (Ubuntu):
status: Confirmed → Won't Fix

This bug is still present in Fedora 16 and in Rawhide. Please reopen it and relabel it from F12 to Rawhide.

This is hardware related.

Intel Chipset drivers have some bug, because same external USB device works if I reboot into Windows or if I try it on other non-intel machines.

Mine Smolt profile:
http://www.smolts.org/client/show/pub_a4d14531-186f-4d21-8e19-3e149e0ee9bf

Should I create a new bug report?

I don't know if you need a new one or not. If you do create a new bug not it here, and reference this one and the previous one in the new bug. Which makes me think that this is redundant. I don't know that anyone working on the software is actually paying attention to these bugs.

(In reply to comment #33)
> I don't know if you need a new one or not. If you do create a new bug not it
> here, and reference this one and the previous one in the new bug. Which makes
> me think that this is redundant. I don't know that anyone working on the
> software is actually paying attention to these bugs.

There are approximately 1000 open kernel bugs.

Well at least we have a status report. It would be nice if even if nothing was happening on a bug because of this backlog that we get a comment from someone to this effect every six months or so.

Is there anything we can be doing to help track down this bug?

(In reply to comment #35)
> Well at least we have a status report. It would be nice if even if nothing
> was happening on a bug because of this backlog that we get a comment from
> someone to this effect every six months or so.
>
> Is there anything we can be doing to help track down this bug?

Yes, actually.

Likely one of the most helpful things you can do is email the upstream linux-usb mailing list and report the issue to them. They are the domain experts and having them directly in contact with the people having the issue eliminates the middle-man.

Things to note in the email would be:

- USB controller/chipset
- What kind of devices present this error (usb id)
- Which kernel(s) exhibit the problem

Given that this bug seems to have been around for a really long time, that last question might be a bit difficult to answer.

If anyone gets responses from upstream, we can help build test kernels and patches if needs be. Just put a URL to the mailing list archive there in this bug.

[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

2 comments hidden view all 117 comments

Ray, are you still seeing this on the current builds ?

It is still present with Fedora 17 3.5.5-1.fc17.x86_64 #1 SMP Tue Oct 2 22:24:00 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Download full text (6.0 KiB)

I added this workaround to stop the message.

cd /sys/bus/pci/drivers/ehci_hcd
for i in `ls -d 0000:00:*`;do echo $i > unbind;sleep 5; echo $i > bind; done

Bus 001 Device 003: ID 0409:0058 NEC Corp. HighSpeed Hub
Bus 005 Device 004: ID 0461:4d20 Primax Electronics, Ltd
Bus 007 Device 003: ID 045e:00f1 Microsoft Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 009 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 03f0:2b11 Hewlett-Packard PSC 2170 series
Bus 001 Device 005: ID 1c6b:a222 Philips & Lite-ON Digital Solutions Corporation
Bus 001 Device 006: ID 0c45:184c Microdia VoIP Phone
Bus 010 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub

00:00.0 Host bridge: Intel Corporation 5520/5500/X58 I/O Hub to ESI Port (rev 13)
00:01.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 1 (rev 13)
00:02.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 2 (rev 13)
00:03.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 3 (rev 13)
00:07.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 7 (rev 13)
00:14.0 PIC: Intel Corporation 5520/5500/X58 I/O Hub System Management Registers (rev 13)
00:14.1 PIC: Intel Corporation 5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers (rev 13)
00:14.2 PIC: Intel Corporation 5520/5500/X58 I/O Hub Control Status and RAS Registers (rev 13)
00:14.3 PIC: Intel Corporation 5520/5500/X58 I/O Hub Throttle Registers (rev 13)
00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 1
00:1c.2 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 3
00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 SATA controller: Intel Corporation 82801JI (ICH10 Family) SATA AHCI Controller
00:1f.3 SMBus: Intel Corporation 82801JI ...

Read more...

Download full text (6.3 KiB)

Workaround did not work

(In reply to comment #42)
> I added this workaround to stop the message.
>
> cd /sys/bus/pci/drivers/ehci_hcd
> for i in `ls -d 0000:00:*`;do echo $i > unbind;sleep 5; echo $i > bind; done
>
>
> Bus 001 Device 003: ID 0409:0058 NEC Corp. HighSpeed Hub
> Bus 005 Device 004: ID 0461:4d20 Primax Electronics, Ltd
> Bus 007 Device 003: ID 045e:00f1 Microsoft Corp.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 009 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 001 Device 004: ID 03f0:2b11 Hewlett-Packard PSC 2170 series
> Bus 001 Device 005: ID 1c6b:a222 Philips & Lite-ON Digital Solutions
> Corporation
> Bus 001 Device 006: ID 0c45:184c Microdia VoIP Phone
> Bus 010 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
>
>
> 00:00.0 Host bridge: Intel Corporation 5520/5500/X58 I/O Hub to ESI Port
> (rev 13)
> 00:01.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root
> Port 1 (rev 13)
> 00:02.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root
> Port 2 (rev 13)
> 00:03.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root
> Port 3 (rev 13)
> 00:07.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root
> Port 7 (rev 13)
> 00:14.0 PIC: Intel Corporation 5520/5500/X58 I/O Hub System Management
> Registers (rev 13)
> 00:14.1 PIC: Intel Corporation 5520/5500/X58 I/O Hub GPIO and Scratch Pad
> Registers (rev 13)
> 00:14.2 PIC: Intel Corporation 5520/5500/X58 I/O Hub Control Status and RAS
> Registers (rev 13)
> 00:14.3 PIC: Intel Corporation 5520/5500/X58 I/O Hub Throttle Registers (rev
> 13)
> 00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #4
> 00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #5
> 00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #6
> 00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI
> Controller #2
> 00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio
> Controller
> 00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express
> Root Port 1
> 00:1c.2 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express
> Root Port 3
> 00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #1
> 00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #2
> 00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #3
> 00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI
> Controller #1
> 00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
> 00:1f.0 ISA bridge: Inte...

Read more...

This bug appeared in kernel 3.5.5-1.fc17.x86_64, but is not present in 3.5.3-1.fc17.x86_64 #1 SMP. It might be an regression since I have not changed anything on my computer. Please change to Fedora 17 in bug status.

Created attachment 623309
boot into recovery mode single user,

Latest kernel from update.

suggest duplicate of 841738

I upgrade 3.5.6-1.fc17.x86_64 and I reattach the harddisk dock to the usb 3 port to get the error message to go away. I am now able to connect to the harddisk.

I found a problem with usb3 sata docking station.

[ 1803.293840] JBD2: Error -5 detected when updating journal superblock for sdh1-8.
[ 1803.497225] usb 10-1: >new SuperSpeed USB device number 74 using xhci_hcd
[ 1803.510609] usb 10-1: >Parent hub missing LPM exit latency info. Power management will be impacted.
[ 1803.514364] usb 10-1: >New USB device found, idVendor=174c, idProduct=5106
[ 1803.514367] usb 10-1: >New USB device strings: Mfr=2, Product=3, SerialNumber=1
[ 1803.514368] usb 10-1: >Product: AS2105
[ 1803.514370] usb 10-1: >Manufacturer: ASMedia
[ 1803.514371] usb 10-1: >SerialNumber: 6VPHKLGG
[ 1803.515183] scsi24 : usb-storage 10-1:1.0
[ 1804.516773] scsi 24:0:0:0: >Direct-Access ST310005 24AS JC4B

# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with. Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem.
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Download full text (3.2 KiB)

I met the alerts in all current Fedora 17 kernels when I have a remote keyboard and mouse and any other one usb device plugged in:

Bus 002 Device 004: ID 046d:c52e Logitech, Inc.
Couldn't open device, some information will be missing
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x046d Logitech, Inc.
  idProduct 0xc52e
  bcdDevice 23.01
  iManufacturer 1
  iProduct 2
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 59
    bNumInterfaces 2
    bConfigurationValue 1
    iConfiguration 4
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 98mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 1 Boot Interface Subclass
      bInterfaceProtocol 1 Keyboard
      iInterface 0
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.11
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 59
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 8
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Device
      bInterfaceSubClass 1 Boot Interface Subclass
      bInterfaceProtocol 2 Mouse
      iInterface 0
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.11
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 177
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0014 1x 20 bytes
      ...

Read more...

*** Bug 841738 has been marked as a duplicate of this bug. ***

Tested with kernel-3.6.5-1.fc17.x86_64, the problem disappeared.

(In reply to comment #49)
> # Mass update to all open bugs.
>
> Kernel 3.6.2-1.fc16 has just been pushed to updates.
> This update is a significant rebase from the previous version.
>
> Please retest with this kernel, and let us know if your problem has been
> fixed.
>
> In the event that you have upgraded to a newer release and the bug you
> reported
> is still present, please change the version field to the newest release you
> have
> encountered the issue with. Before doing so, please ensure you are testing
> the
> latest kernel update in that release and attach any new and relevant
> information
> you may have gathered.
>
> If you are not the original bug reporter and you still experience this bug,
> please file a new report, as it is possible that you may be seeing a
> different problem.
> (Please don't clone this bug, a fresh bug referencing this bug in the
> comment is sufficient).

Still happening on this kernel:

[chris@mythpiggy ~]$ uname -a
Linux mythpiggy 3.6.2-1.fc16.x86_64 #1 SMP Wed Oct 17 05:30:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[chris@mythpiggy ~]$ dmesg | more
[1118798.442395] hub 2-0:1.0: unable to enumerate USB device on port 8
[1118798.763054] hub 2-0:1.0: unable to enumerate USB device on port 8
[1118799.083728] hub 2-0:1.0: unable to enumerate USB device on port 8
,,,

The issue occurred on kernel-3.6.5-1.fc17.x86_64 again.

Latest kernel looks better:

[chris@mythpiggy ~]$ uname -a
Linux mythpiggy 3.6.5-2.fc16.x86_64 #1 SMP Thu Nov 1 03:49:27 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[chris@mythpiggy ~]$ dmesg | grep "unable to enumerate USB device"
[chris@mythpiggy ~]$

I can also confirm that my USB DAC now works with

Linux amd 3.6.5-1.fc17.x86_64 #1 SMP Wed Oct 31 19:37:18 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[ 1997.027722] usb 1-2: new high-speed USB device number 4 using ehci_hcd
[ 1997.144819] usb 1-2: config 1 has an invalid interface number: 3 but max is 2
[ 1997.144831] usb 1-2: config 1 has an invalid interface number: 3 but max is 2
[ 1997.144837] usb 1-2: config 1 has an invalid interface number: 3 but max is 2
[ 1997.144843] usb 1-2: config 1 has no interface number 1
[ 1997.145688] usb 1-2: New USB device found, idVendor=0644, idProduct=8038
[ 1997.145694] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1997.145700] usb 1-2: Product: TEAC USB AUDIO DEVICE
[ 1997.145704] usb 1-2: Manufacturer: TEAC
[ 1997.148991] input: TEAC TEAC USB AUDIO DEVICE as /devices/pci0000:00/0000:00:12.2/usb1/1-2/1-2:1.0/input/input11
[ 1997.149188] hid-generic 0003:0644:8038.0003: input,hidraw2: USB HID v1.00 Device [TEAC TEAC USB AUDIO DEVICE] on usb-0000:00:12.2-2/input0
[ 1997.185729] usbcore: registered new interface driver snd-usb-audio

Broken again in latest kernel:
Linux mythpiggy 3.6.6-1.fc16.x86_64 #1 SMP Mon Nov 5 16:56:43 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

dmesg output (partial)
[107902.444891] hub 2-0:1.0: unable to enumerate USB device on port 8
[107902.694623] hub 2-0:1.0: unable to enumerate USB device on port 8
[107902.944375] hub 2-0:1.0: unable to enumerate USB device on port 8
[107903.194115] hub 2-0:1.0: unable to enumerate USB device on port 8
[107903.443868] hub 2-0:1.0: unable to enumerate USB device on port 8

Still broken on latest kernel:
Linux mythpiggy 3.6.7-4.fc16.x86_64 #1 SMP Tue Nov 20 20:33:31 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[ 167.771290] hub 2-0:1.0: unable to enumerate USB device on port 8
[ 168.092018] hub 2-0:1.0: unable to enumerate USB device on port 8
[ 168.412681] hub 2-0:1.0: unable to enumerate USB device on port 8
[ 168.733344] hub 2-0:1.0: unable to enumerate USB device on port 8
[ 169.053976] hub 2-0:1.0: unable to enumerate USB device on port 8
[ 169.374652] hub 2-0:1.0: unable to enumerate USB device on port 8
[ 169.695325] hub 2-0:1.0: unable to enumerate USB device on port 8

Such brief respite in kernel 3.6.5-2

Now I'm getting hangs where Gnome Shell is unresponsive, Ctrl-Alt-F2 brings up a terminal but it's filled with endless "unable to enumerate USB device" messages, pumped out at about 3 every second.

This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 16 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in linux (Ubuntu):
assignee: nobody → KAPIL DUBEY (kapil08dubey-w)
Changed in linux (Fedora):
importance: Unknown → Medium
status: Confirmed → Won't Fix
Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.